/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia;

import org.xml.sax.ErrorHandler;

/**
 * 
 * @author noctarius
 * @since 1.9.1
 */
public interface LyciaBuilder<B> {
	public static enum GenerationStrategy {
		ReflectiveGeneration, BytecodeGeneration, Customized
	}

	LyciaBuilder<B> setValidatingSchema(boolean validatingSchema);

	LyciaBuilder<B> setErrorHandler(ErrorHandler errorHandler);

	LyciaBuilder<B> setResourceResolver(ResourceResolver resourceResolver);

	LyciaBuilder<B> setParserContext(ParserContext<B> parserContext);

	LyciaBuilder<B> setGenerationStrategy(
			GenerationStrategy generationStrategy);

	LyciaBuilder<B> setClassLoader(ClassLoader classLoader);

	LyciaBuilder<B> setResourceResolverClass(
			Class<? extends ResourceResolver> resourceResolverClass);

	LyciaBuilder<B> setParserContextClass(
			Class<? extends ParserContext<B>> parserContextClass);

	LyciaBuilder<B> setXmlParserClass(
			Class<? extends LyciaParser<B>> xmlParserClass);

	LyciaParser<B> build();
}
