/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.exceptions;

import org.sourceprojects.lycia.ResourceResolver;
import org.sourceprojects.lycia.LyciaParser;

/**
 * An exception class that is thrown as wrapped exception on instantiation of
 * {@link ResourceResolver} and {@link LyciaParser} if some exception occurs
 * 
 * @author noctarius
 * @since 0.0.1
 */
public class LyciaInitializationException extends RuntimeException {
	private static final long serialVersionUID = 5622117903162302243L;

	public LyciaInitializationException() {
		super();
	}

	public LyciaInitializationException(String message, Throwable cause) {
		super(message, cause);
	}

	public LyciaInitializationException(String message) {
		super(message);
	}

	public LyciaInitializationException(Throwable cause) {
		super(cause);
	}

}
